/* Stockage d'une lumiere                   */
/*                                          */
/* Auteur: Nicolas JANEY                    */
/* nicolas.janey@univ-fcomte.fr             */
/* Novembre 2012                            */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#include "Lumiere.h"
#include "Couleur.h"

/* Constructeurs                            */
Lumiere::Lumiere(void) {
  c = new Couleur(1.0,1.0,1.0);
  intensite = 1.0;
  on = true;
}

Lumiere::Lumiere(Lumiere *l) {
  c = new Couleur(l->c);
  intensite = l->intensite;
  on = l->on;
}

/* Destructeur                              */
Lumiere::~Lumiere(void) {
  delete(c);
}

/* Methode d'affichage texte                */
void Lumiere::print(void) {
  printf("%1d - ",on);
  printf("%8.3lf - ",intensite);
  c->print();
}
